    List all the response identifiers of a data set.

list_response_ids(id=None, bkg_id=None)
id - int or str, optional
bkg_id - int or str, optional

A PHA data set can contain multiple responses, that is, pairs of ARF and RMF, each of which has an identifier. This function returns a list of these identifiers for a data set.

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set to query. If not given then the default identifier is used, as returned by `get_default_id` .
bkg_id
Set this to identify the background component to query.

The return value from this function is:

ids -- The identifiers for the response information for the data set. In many cases this will just be [1] .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023